<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/sdio_config.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/sdio_config.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Compile time configuration defaults.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SDD_CONFIG_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SDD_CONFIG_H</span>
00011 <span class="preprocessor"></span>
00029 <span class="preprocessor">#ifndef SDD_SLOTS_MAX</span>
<a name="l00030"></a><a class="code" href="group__config.html#ga0">00030</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_SLOTS_MAX 4</span>
00031 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00032 <span class="preprocessor"></span>
00039 <span class="preprocessor">#ifndef SDD_FDRIVERS_MAX</span>
<a name="l00040"></a><a class="code" href="group__config.html#ga1">00040</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_FDRIVERS_MAX 4</span>
00041 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00042 <span class="preprocessor"></span>
00048 <span class="preprocessor">#ifndef SDD_FDEVS_MAX</span>
<a name="l00049"></a><a class="code" href="group__config.html#ga2">00049</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_FDEVS_MAX 8</span>
00050 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00051 <span class="preprocessor"></span>
00057 <span class="preprocessor">#ifndef SDD_CARD_INIT_RETRY_MAX</span>
<a name="l00058"></a><a class="code" href="group__config.html#ga3">00058</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_CARD_INIT_RETRY_MAX 3</span>
00059 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00060 <span class="preprocessor"></span>
00067 <span class="preprocessor">#ifndef SDD_CARD_READY_TIMEOUT_MS</span>
<a name="l00068"></a><a class="code" href="group__config.html#ga4">00068</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_CARD_READY_TIMEOUT_MS 100</span>
00069 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00070 <span class="preprocessor"></span>
00079 <span class="preprocessor">#ifndef SDD_CARD_IS_REMOVABLE</span>
<a name="l00080"></a><a class="code" href="group__config.html#ga5">00080</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_CARD_IS_REMOVABLE 1</span>
00081 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00082 <span class="preprocessor"></span>
00089 <span class="preprocessor">#ifndef SDD_CSPI_REG_PADDING</span>
<a name="l00090"></a><a class="code" href="group__config.html#ga6">00090</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_CSPI_REG_PADDING 0</span>
00091 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00092 <span class="preprocessor"></span>
00099 <span class="preprocessor">#ifndef SDD_CSPI_BURST_PADDING</span>
<a name="l00100"></a><a class="code" href="group__config.html#ga7">00100</a> <span class="preprocessor"></span><span class="preprocessor">#  define SDD_CSPI_BURST_PADDING 2</span>
00101 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00102 <span class="preprocessor"></span>
00105 <span class="preprocessor">#endif </span><span class="comment">/* _SDD_CONFIG_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
